
(in-package :OMRead-txt)
      
(defun string-to-list (str) ; Solution by Banjocat - stackoverflow.com
        (if (not (streamp str))
           (string-to-list (make-string-input-stream str))
           (if (listen str)
               (cons (read str) (string-to-list str))
               nil)))

(defun read-text-file (string) 
(let ((stream (open (merge-pathnames om::*OMRead-txt-path* (parse-namestring (concatenate 'string string ".txt"))))))
(om::flat-once (string-to-list stream))))  

(om::defmethod! Read-txt ((filename string))
        :initvals '( '"simple-test")
	:indoc '("filename, without .txt") 
	:icon 01
	:doc "Reads a .txt file <filename>."

(read-text-file filename))

    
 